<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Realtime_Road.aspx.cs" Inherits="Car.map.Realtime_Road" %>


<!DOCTYPE html>
<html>
<head>
    <link href="http://api.map.baidu.com/library/TrafficControl/1.4/src/TrafficControl_min.css" rel="stylesheet" type="text/css" />

	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
	<style type="text/css">
	body, html,#container {width: 800px;height:500px;overflow: hidden;margin:0;font-family:"微软雅黑";}
	</style>
	<script type="text/javascript" src="http://api.map.baidu.com/api?v=2.0&ak=<%=CarHelper.ApiKey %>"></script>
	<script type="text/javascript" src="http://api.map.baidu.com/library/TrafficControl/1.4/src/TrafficControl_min.js"></script>

<title>实时路况</title>
</head>
<body>
	<div id="container"></div>
</body>
</html>
<script type="text/javascript">
	// 百度地图API功能
    var map = new BMap.Map("container");    // 创建Map实例
    var point = new BMap.Point(<%=lng%>,<%=lat%>);
	map.centerAndZoom( point,<%=zoom%>);  // 初始化地图,设置中心点坐标和地图级别
    map.enableScrollWheelZoom(true);     //开启鼠标滚轮缩放

	var ctrl = new BMapLib.TrafficControl({
	    showPanel: false //是否显示路况提示面板
	});      
	map.addControl(ctrl);
  
	ctrl.show();
	//ctrl.setAnchor(BMAP_ANCHOR_BOTTOM_RIGHT); 
	
	//map.enableScrollWheelZoom(true);     //开启鼠标滚轮缩放
</script>
